<!doctype html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="generator" content="Asciidoctor 2.0.12">
  <meta name="author" content="Copyright (c) 2010, 2024 Contributors to the Eclipse Foundation">
  <link rel="icon" type="image/png" href="favicon.png">
  <title>Eclipse ESCET release notes | Eclipse ESCET™ general toolkit documentation</title>
  <link rel="stylesheet" href="assets/asciidoctor-escet-project.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" href="assets/styles/asciidoctor-highlightjs-escet.min.css"> <!--
  Copyright (c) 2010, 2024 Contributors to the Eclipse Foundation

  See the NOTICE file(s) distributed with this work for additional
  information regarding copyright ownership.

  This program and the accompanying materials are made available under the terms
  of the MIT License which is available at https://opensource.org/licenses/MIT

  SPDX-License-Identifier: MIT
-->
  <meta name="robots" content="noindex">
  <script type="text/javascript" src="assets/asciidoctor-escet-project.js"></script>
 </head>
 <body class="book toc2 toc-left" onload="onLoad()">
  <div id="header">
   <div id="toc" class="toc2">
    <p class="website-link">Part of: <a href=".">Eclipse ESCET™ website</a></p>
    <div id="toctitle">
     Eclipse ESCET™ general toolkit documentation
    </div>
    <ul class="sectlevel1">
     <li class="toc-item">
      <div class="toc-item-marker"></div><a href="documentation.html">Home</a></li>
     <li class="toc-item toc-item-parent">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="use/index.html">Using the Eclipse ESCET IDE</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="use/starting-first-time.html">Starting Eclipse ESCET IDE for the first time</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="use/update.html">Updating Eclipse ESCET IDE</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="use/remove.html">Removing Eclipse ESCET IDE</a></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="use/terminology.html">Eclipse terminology</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/terminology.html#eclipse-workspace">Eclipse workspace</a></li>
         <li class="toc-item toc-item-parent">
          <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="use/terminology.html#eclipse-views">Eclipse views</a>
          <ul class="sectlevel4">
           <li class="toc-item">
            <div class="toc-item-marker"></div><a href="use/terminology.html#opening-a-view">Opening a view</a></li>
          </ul></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/terminology.html#eclipse-projects">Eclipse projects</a></li>
        </ul></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="use/projects.html">Working with projects, directories, and files</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/projects.html#creating-a-new-project">Creating a new project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/projects.html#importing-an-existing-project">Importing an existing project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/projects.html#removing-a-project-from-eclipse">Removing a project from Eclipse</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/projects.html#creating-a-new-directory">Creating a new directory</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/projects.html#creating-a-new-file">Creating a new file</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/projects.html#renaming-a-file-directory-or-project">Renaming a file, directory, or project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/projects.html#locating-files-directories-and-projects">Locating files, directories, and projects</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/projects.html#refreshing-a-file-directory-or-project">Refreshing a file, directory, or project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/projects.html#checking-the-size-of-a-file">Checking the size of a file</a></li>
        </ul></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="use/edit-exec.html">Editing files and executing commands</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/edit-exec.html#editing-a-text-file">Editing a text file</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/edit-exec.html#executing-commands">Executing commands</a></li>
        </ul></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="use/escet-perspective.html">Eclipse ESCET perspective</a></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="use/apps-view.html">Applications view</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/apps-view.html#opening-the-view">Opening the view</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/apps-view.html#application-status">Application status</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/apps-view.html#termination">Termination</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/apps-view.html#removal">Removal</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="use/apps-view.html#expansion">Expansion</a></li>
        </ul></li>
      </ul></li>
     <li class="toc-item toc-item-parent">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="performance/index.html">Resolving performance and memory problems</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="performance/clear-console.html">Clearing the console</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="performance/reduce-console-output.html">Reducing console output</a></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="performance/close-running-apps.html">Closing running applications</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="performance/close-running-apps.html#application-management-via-the-applications-view">Application management via the applications view</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="performance/close-running-apps.html#application-management-via-the-console-view">Application management via the console view</a></li>
        </ul></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="performance/tweak-perf-settings.html">Tweaking performance settings</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="performance/tweak-perf-settings.html#quick-and-dirty-solution">Quick and dirty solution</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="performance/tweak-perf-settings.html#managed-memory-and-garbage-collection">Managed memory and garbage collection</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="performance/tweak-perf-settings.html#different-types-of-memory">Different types of memory</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="performance/tweak-perf-settings.html#benefits-of-increasing-the-available-memory">Benefits of increasing the available memory</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="performance/tweak-perf-settings.html#available-settings">Available settings</a></li>
         <li class="toc-item toc-item-parent">
          <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="performance/tweak-perf-settings.html#changing-memory-settings">Changing memory settings</a>
          <ul class="sectlevel4">
           <li class="toc-item">
            <div class="toc-item-marker"></div><a href="performance/tweak-perf-settings.html#miscellaneous-troubleshooting">Miscellaneous troubleshooting</a></li>
          </ul></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="performance/tweak-perf-settings.html#practical-hints-to-solve-performance-and-memory-problems">Practical hints to solve performance and memory problems</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="performance/tweak-perf-settings.html#monitoring-eclipse-heap-status">Monitoring Eclipse heap status</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="performance/tweak-perf-settings.html#monitoring-with-visualvm">Monitoring with VisualVM</a></li>
        </ul></li>
      </ul></li>
     <li class="toc-item toc-item-parent">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="tools/dsm-clustering.html">Design Structure Matrix (DSM) clustering</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="tools/dsm-clustering.html#starting-the-clustering-tool">Starting the clustering tool</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="tools/dsm-clustering.html#options">Options</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="tools/dsm-clustering.html#dsm-file-format">DSM file format</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="tools/dsm-clustering.html#computing-a-clustered-dsm">Computing a clustered DSM</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="tools/dsm-clustering.html#bus-detection-algorithms">Bus detection algorithms</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="tools/dsm-clustering.html#references">References</a></li>
      </ul></li>
     <li class="toc-cur-page toc-item toc-item-parent expanded">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="#">Eclipse ESCET release notes</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="#version-3-0-2024-03-31">Version 3.0 (2024-03-31)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="#version-2-0-2023-12-22">Version 2.0 (2023-12-22)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="#version-1-0-2023-09-30">Version 1.0 (2023-09-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="#version-0-10-2023-06-30">Version 0.10 (2023-06-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="#version-0-9-2023-03-31">Version 0.9 (2023-03-31)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="#version-0-8-2022-12-21">Version 0.8 (2022-12-21)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="#version-0-7-2022-09-30">Version 0.7 (2022-09-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="#version-0-6-2022-07-07">Version 0.6 (2022-07-07)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="#version-0-5-2022-03-29">Version 0.5 (2022-03-29)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="#version-0-4-2021-12-17">Version 0.4 (2021-12-17)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="#version-0-3-2021-10-01">Version 0.3 (2021-10-01)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="#version-0-2-2021-07-07">Version 0.2 (2021-07-07)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="#version-0-1-2021-04-02">Version 0.1 (2021-04-02)</a></li>
      </ul></li>
     <li class="toc-item">
      <div class="toc-item-marker"></div><a href="documentation-legal.html">Legal</a></li>
    </ul>
   </div>
  </div>
  <div id="content">
   <div id="breadcrumbs">
    <a class="breadcrumb" href="documentation.html">Eclipse ESCET™ general toolkit documentation</a> &gt; <span class="breadcrumb">Eclipse ESCET release notes</span>
   </div>
   <h2 id="eclipse-escet-release-notes"><a class="anchor" href="#"></a>Eclipse ESCET release notes</h2>
   <div class="sectionbody">
    <div class="paragraph">
     <p>The release notes for the versions of the Eclipse ESCET tools, as part of the Eclipse ESCET project, are listed below in reverse chronological order.</p>
    </div>
    <div class="paragraph">
     <p>See also the release notes for the specific tools for more information:</p>
    </div>
    <div class="ulist">
     <ul>
      <li><p><a href="https://eclipse.dev/escet/v3.0/cif/release-notes.html">CIF release notes</a></p></li>
      <li><p><a href="https://eclipse.dev/escet/v3.0/chi/release-notes.html">Chi release notes</a></p></li>
      <li><p><a href="https://eclipse.dev/escet/v3.0/tooldef/release-notes.html">ToolDef release notes</a></p></li>
     </ul>
    </div>
    <div class="sect2">
     <h3 id="version-3-0-2024-03-31"><a class="anchor" href="#version-3-0-2024-03-31"></a>Version 3.0 (2024-03-31)</h3>
     <div class="paragraph">
      <p>New features:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>The Eclipse ESCET project now has a logo. You can find the logo on the ESCET website, as well as in the ESCET IDE (issues <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/777">#777</a> and <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/791">#791</a>).</p></li>
       <li><p>The Eclipse ESCET website now features a version switcher, to allow switching to websites for earlier versions of ESCET. The download page now also includes a link to a new page with links to all the websites of earlier versions of ESCET (issues <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/437">#437</a>, <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/775">#775</a> and <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/776">#776</a>).</p></li>
      </ul>
     </div>
     <div class="paragraph">
      <p>Improvements and fixes:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>The Eclipse ESCET, Chi, CIF and ToolDef documentation now feature syntax highlighting for all languages, on the website and in the Eclipse ESCET IDE help (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/740">#740</a>).</p></li>
       <li><p>The Eclipse ESCET, Chi, CIF and ToolDef documentation now have improved styling, on the website and in the Eclipse ESCET IDE help (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/38">#38</a>).</p></li>
       <li><p>The Eclipse ESCET, Chi, CIF and ToolDef documentation on the website now have interactive tables of contents in their left sidebars, supporting collapsing and expanding (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/38">#38</a>).</p></li>
       <li><p>The Eclipse ESCET, Chi, CIF and ToolDef documentation on the website now include all levels in their tables of contents in the left sidebars (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/38">#38</a>).</p></li>
       <li><p>The Eclipse ESCET website has improved styling of dropdown menus (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/437">#437</a>).</p></li>
       <li><p>The Eclipse ESCET IDE now ships with the 'linked resources' feature of the Eclipse IDE disabled by default (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/754">#754</a>).</p></li>
       <li><p>The Eclipse ESCET IDE has a new splash screen, featuring the ESCET logo (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/791">#791</a>).</p></li>
       <li><p>The Eclipse ESCET IDE launcher for Windows now has an ESCET-specific icon (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/791">#791</a>).</p></li>
      </ul>
     </div>
    </div>
    <div class="sect2">
     <h3 id="version-2-0-2023-12-22"><a class="anchor" href="#version-2-0-2023-12-22"></a>Version 2.0 (2023-12-22)</h3>
     <div class="paragraph">
      <p>New features:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>The Eclipse ESCET project now deploys 'nightlies', in-development versions of the ESCET website and toolkit. See the nightly website at <a href="https://eclipse.dev/escet/nightly/" class="bare">https://eclipse.dev/escet/nightly/</a>. From the nightly website the nightly releases can be downloaded (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/699">#699</a>).</p></li>
      </ul>
     </div>
     <div class="paragraph">
      <p>Improvements and fixes:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>The Linux command line scripts for all ESCET tools no longer show a popup dialog upon exiting with a non-zero exit code (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/89">#89</a>).</p></li>
       <li><p>The warning and error output on the Eclipse console for all ESCET tools now use different colors. Warning output is now printed in yellow, error output still in red (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/524">#524</a>).</p></li>
      </ul>
     </div>
    </div>
    <div class="sect2">
     <h3 id="version-1-0-2023-09-30"><a class="anchor" href="#version-1-0-2023-09-30"></a>Version 1.0 (2023-09-30)</h3>
     <div class="paragraph">
      <p>Improvements and fixes:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>The Eclipse ESCET project has graduated. The project has left the 'incubation' phase, and has entered the 'mature' phase. In honor of this occasion, we leave the '0.x' version numbering behind. All indications of the incubation phase have been removed. This also leads to changes in download filenames (issues <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/614">#614</a> and <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/647">#647</a>).</p></li>
       <li><p>The DSM clustering tool’s DSM input file format has been changed from a CSV-like file to an RFC-4180 compliant CSV file. Tab characters are no longer supported in the input files (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/629">#629</a>).</p></li>
      </ul>
     </div>
    </div>
    <div class="sect2">
     <h3 id="version-0-10-2023-06-30"><a class="anchor" href="#version-0-10-2023-06-30"></a>Version 0.10 (2023-06-30)</h3>
     <div class="paragraph">
      <p>Improvements and fixes:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>The Eclipse ESCET website has moved from <code>www.eclipse.org/escet</code> to <code>eclipse.dev/escet</code>. Redirects from the old URLs to the new ones are in place (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/577">#577</a>).</p></li>
       <li><p>This release is based on Eclipse 2023-03, rather than Eclipse 2022-06 (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/399">#399</a>).</p></li>
       <li><p>The Eclipse ESCET IDE no longer gives warnings for projects without an explicit encoding (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/399">#399</a>).</p></li>
       <li><p>The DSM clustering tool’s command line script for Linux is now executable (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/570">#570</a>).</p></li>
       <li><p>The SVG viewer’s <em>Save as</em> dialog now properly starts in the directory that contains the SVG file, also on Windows. And it now properly handles paths with spaces and other special characters in them (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/221">#221</a>).</p></li>
      </ul>
     </div>
    </div>
    <div class="sect2">
     <h3 id="version-0-9-2023-03-31"><a class="anchor" href="#version-0-9-2023-03-31"></a>Version 0.9 (2023-03-31)</h3>
     <div class="paragraph">
      <p>Improvements and fixes:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>The ESCET download page information for macOS has been updated to describe macOS Ventura (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/483">#483</a>).</p></li>
       <li><p>Eclipse ESCET is now released for the both the x86_64 and aarch64 architectures of macOS (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/484">#484</a>).</p></li>
       <li><p>Version-specific versions of the Eclipse ESCET website are no longer indexed by search engines. Only the current version of the website is now indexed. It may take some time for all search engines to catch up (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/488">#488</a>).</p></li>
       <li><p>The DSM clustering tool now outputs files with proper and consistent line endings (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/540">#540</a>).</p></li>
      </ul>
     </div>
    </div>
    <div class="sect2">
     <h3 id="version-0-8-2022-12-21"><a class="anchor" href="#version-0-8-2022-12-21"></a>Version 0.8 (2022-12-21)</h3>
     <div class="paragraph">
      <p>Improvements and fixes:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>This release is based on Eclipse 2022-06, rather than Eclipse 2021-06 (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/176">#176</a>).</p></li>
       <li><p>Eclipse 2022-06 may show for all projects in your existing workspace a warning that they don’t have an explicit encoding set. To get rid of the warning, open the <em>Problems</em> view via <span class="menuseq"><b class="menu">Window</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="submenu">Show View</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Problems</b></span>. Then right click the warning and choose <b class="menuref">Quick Fix</b>. In the <em>Quick Fix</em> dialog, click <b class="button">Select All</b> to select all projects, and then click <b class="button">Finish</b> to add the UTF-8 encoding to each project (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/176">#176</a>).</p></li>
       <li><p>Eclipse 2022-06 may automatically use a dark theme if your operating system is configured to use a dark theme. To explicitly choose either a light theme or a dark theme, open the <em>Preferences</em> dialog via <span class="menuseq"><b class="menu">Window</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Preferences</b></span>. Then select <span class="menuseq"><b class="menu">General</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Appearance</b></span>, and for <em>Theme</em> select either <em>Light</em> or <em>Dark</em>. Select <em>System</em> to automatically select light or dark mode based on the operating system settings (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/176">#176</a>).</p></li>
       <li><p>The <em>Console</em> view now has theming support, and comes with a dark theme in addition to the existing light theme. The console now automatically uses its dark theme when the Eclipse built-in dark theme is used, and uses a light theme otherwise (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/417">#417</a>).</p></li>
       <li><p>The <em>Application</em> view’s status legend has been redesigned to support both light and dark themes (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/417">#417</a>).</p></li>
       <li><p>Improved the Eclipse ESCET IDE welcome screen, by making it fit better with the used theme, by adding some useful links to get started, and more (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/32">#32</a>).</p></li>
       <li><p>Very long lines in the <em>Console</em> view and text editors now render correctly on Windows (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/76">#76</a>).</p></li>
       <li><p>Eclipse ESCET now bundles Java 17 rather than Java 11 (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/259">#259</a>).</p></li>
       <li><p>The website of the current Eclipse ESCET release no longer links to version-specific URLs (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/394">#394</a>).</p></li>
      </ul>
     </div>
    </div>
    <div class="sect2">
     <h3 id="version-0-7-2022-09-30"><a class="anchor" href="#version-0-7-2022-09-30"></a>Version 0.7 (2022-09-30)</h3>
     <div class="paragraph">
      <p>This release contains no changes that apply to the Eclipse ESCET toolkit in general. Consult the release notes for the specific tools for their changes.</p>
     </div>
    </div>
    <div class="sect2">
     <h3 id="version-0-6-2022-07-07"><a class="anchor" href="#version-0-6-2022-07-07"></a>Version 0.6 (2022-07-07)</h3>
     <div class="paragraph">
      <p>New features:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>Added new Design Structure Matrix (DSM) clustering tool (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/344">#344</a>).</p></li>
      </ul>
     </div>
     <div class="paragraph">
      <p>Improvements and fixes:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>The Eclipse ESCET IDE is no longer configured with a maximum Java object heap size of 4 GB of memory. The Java Virtual Machine (JVM) now decides the maximum, which may differ for different systems. It is of course still possible to <a href="performance/tweak-perf-settings.html">configure the maximum yourself</a> (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/374">#374</a>).</p></li>
       <li><p>Links in the documentation to Chi, CIF and ToolDef documentation webpages now use version-specific URLs (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/386">#386</a>).</p></li>
       <li><p>The issue numbers in the release notes now link to the corresponding GitLab issue (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/396">#396</a>).</p></li>
       <li><p>Small website style improvements (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/367">#367</a>).</p></li>
      </ul>
     </div>
    </div>
    <div class="sect2">
     <h3 id="version-0-5-2022-03-29"><a class="anchor" href="#version-0-5-2022-03-29"></a>Version 0.5 (2022-03-29)</h3>
     <div class="paragraph">
      <p>Improvements and fixes:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>Some small changes to the documentation and website (issues <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/271">#271</a> and <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/335">#335</a>).</p></li>
       <li><p>The release notes for each version now contain the release date, with the exception of milestone releases and release candidates (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/314">#314</a>).</p></li>
      </ul>
     </div>
    </div>
    <div class="sect2">
     <h3 id="version-0-4-2021-12-17"><a class="anchor" href="#version-0-4-2021-12-17"></a>Version 0.4 (2021-12-17)</h3>
     <div class="paragraph">
      <p>Improvements and fixes:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>Introduced a brand new website (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/35">#35</a>).</p></li>
       <li><p>Many website URLs have changed due to various website structure changes (issues <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/35">#35</a> and <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/73">#73</a>).</p></li>
       <li><p>Various documentation/website textual improvements, style improvements and other changes (issues <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/35">#35</a> and <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/54">#54</a>).</p></li>
       <li><p>The Eclipse ESCET end-user and development documentation have been split into two separate documentation sets (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/73">#73</a>).</p></li>
       <li><p>SeText is now considered an internal developers tool. It no longer has a website of its own. Its documentation is now part of the Eclipse ESCET development documentation (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/73">#73</a>).</p></li>
       <li><p>The Eclipse ESCET IDE executable is now named <code>eclipse-escet</code> or <code>eclipse-escet.exe</code>. <code>eclipse.ini</code> is now named <code>eclipse-escet.ini</code> (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/98">#98</a>).</p></li>
       <li><p>Eclipse ESCET now bundles Java 11.0.12 rather than Java 11.0.2 (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/237">#237</a>).</p></li>
      </ul>
     </div>
    </div>
    <div class="sect2">
     <h3 id="version-0-3-2021-10-01"><a class="anchor" href="#version-0-3-2021-10-01"></a>Version 0.3 (2021-10-01)</h3>
     <div class="paragraph">
      <p>Improvements and fixes:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>The website and Eclipse help now use multi-page HTML rather than a single HTML file, although the website still contains a link to the single-page HTML that allows easily searching the full documentation (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/36">#36</a>).</p></li>
       <li><p>Enabled section anchors for documentation on the website, and disabled section anchors for Eclipse help (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/36">#36</a>).</p></li>
       <li><p>Fixed macOS-specific instructions for tweaking Java performance settings via <code>eclipse.ini</code> (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/179">#179</a>).</p></li>
       <li><p>Removed unsupported in-place update instructions from the documentation (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/166">#166</a>).</p></li>
       <li><p>Several small documentation fixes and improvements (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/166">#166</a>).</p></li>
      </ul>
     </div>
    </div>
    <div class="sect2">
     <h3 id="version-0-2-2021-07-07"><a class="anchor" href="#version-0-2-2021-07-07"></a>Version 0.2 (2021-07-07)</h3>
     <div class="paragraph">
      <p>Improvements and fixes:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>Various documentation updates, including simpler installation instructions (issues <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/30">#30</a> and <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/31">#31</a>).</p></li>
       <li><p>Java 11 is now included in the release and Java thus no longer needs to be installed separately (issues <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/29">#29</a> and <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/30">#30</a>).</p></li>
       <li><p>The Eclipse ESCET IDE now includes the Eclipse Marketplace (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/71">#71</a>).</p></li>
       <li><p>Linux command line scripts now work properly from any directory rather than only from the <code>bin</code> directory that contains them (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/88">#88</a>).</p></li>
       <li><p>macOS releases are now packaged as <code>.dmg</code> files and with proper entitlements (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/21">#21</a>).</p></li>
       <li><p>Eclipse ESCET downloads now contain a folder in the root of the archive, to properly support unpacking in e.g. a downloads directory (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/87">#87</a>).</p></li>
       <li><p>This release is based on Eclipse 2021-06 (issues <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/28">#28</a> and <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/121">#121</a>).</p></li>
       <li><p>Improved Eclipse ESCET download filenames (issues <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/87">#87</a> and <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/92">#92</a>).</p></li>
       <li><p>Improved Eclipse ESCET version numbers in documentation, plugin/feature versions, and Eclipse ESCET IDE about dialog (issues <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/92">#92</a> and <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/103">#103</a>).</p></li>
       <li><p>Non-release builds now indicate they are a development build in the Eclipse About dialog (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/26">#26</a>).</p></li>
       <li><p>Eclipse ESCET downloads for Linux previously included an 'executable' <code>about.html</code> file (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/90">#90</a>).</p></li>
       <li><p>Crash reports now indicate where and how to report issues (issue <a href="https://gitlab.eclipse.org/eclipse/escet/escet/-/issues/33">#33</a>).</p></li>
      </ul>
     </div>
    </div>
    <div class="sect2">
     <h3 id="version-0-1-2021-04-02"><a class="anchor" href="#version-0-1-2021-04-02"></a>Version 0.1 (2021-04-02)</h3>
     <div class="paragraph">
      <p>The first release of the Eclipse ESCET project and toolkit. This release is based on the initial contribution by the Eindhoven University of Technology (TU/e).</p>
     </div>
     <div class="paragraph">
      <p>Most notable changes compared to the last TU/e release:</p>
     </div>
     <div class="ulist">
      <ul>
       <li><p>A JDK is no longer bundled with the downloads. A JDK must be installed separately and manually. Future releases will again include a JDK.</p></li>
      </ul>
     </div>
     <div class="paragraph">
      <p>This release is based on the Eclipse IDE version 2020-06 and supports Java 8.</p>
     </div>
    </div>
   </div>
  </div>
  <script src="assets/highlight.min.js"></script>
  <script src="assets/languages/asciidoc.min.js"></script>
  <script src="assets/languages/bash.min.js"></script>
  <script src="assets/languages/bnf.min.js"></script>
  <script src="assets/languages/c.min.js"></script>
  <script src="assets/languages/chi.min.js"></script>
  <script src="assets/languages/cif.min.js"></script>
  <script src="assets/languages/console.min.js"></script>
  <script src="assets/languages/css.min.js"></script>
  <script src="assets/languages/dsm.min.js"></script>
  <script src="assets/languages/java.min.js"></script>
  <script src="assets/languages/javascript.min.js"></script>
  <script src="assets/languages/markdown.min.js"></script>
  <script src="assets/languages/mcrl2.min.js"></script>
  <script src="assets/languages/none.min.js"></script>
  <script src="assets/languages/properties.min.js"></script>
  <script src="assets/languages/raildiagram.min.js"></script>
  <script src="assets/languages/setext.min.js"></script>
  <script src="assets/languages/shell.min.js"></script>
  <script src="assets/languages/tooldef.min.js"></script>
  <script src="assets/languages/xml.min.js"></script>
  <script>
if (!hljs.initHighlighting.called) {
  hljs.initHighlighting.called = true
  ;[].slice.call(document.querySelectorAll('pre.highlight > code')).forEach(function (el) { hljs.highlightElement(el) })
}
</script>
  <script type="text/x-mathjax-config">
MathJax.Hub.Config({
  messageStyle: "none",
  tex2jax: {
    inlineMath: [["\\(", "\\)"]],
    displayMath: [["\\[", "\\]"]],
    ignoreClass: "nostem|nolatexmath"
  },
  asciimath2jax: {
    delimiters: [["\\$", "\\$"]],
    ignoreClass: "nostem|noasciimath"
  },
  TeX: { equationNumbers: { autoNumber: "none" } }
})
MathJax.Hub.Register.StartupHook("AsciiMath Jax Ready", function () {
  MathJax.InputJax.AsciiMath.postfilterHooks.Add(function (data, node) {
    if ((node = data.script.parentNode) && (node = node.parentNode) && node.classList.contains("stemblock")) {
      data.math.root.display = "block"
    }
    return data
  })
})
</script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.9/MathJax.js?config=TeX-MML-AM_HTMLorMML"></script> <!--
  Copyright (c) 2010, 2024 Contributors to the Eclipse Foundation

  See the NOTICE file(s) distributed with this work for additional
  information regarding copyright ownership.

  This program and the accompanying materials are made available under the terms
  of the MIT License which is available at https://opensource.org/licenses/MIT

  SPDX-License-Identifier: MIT
-->
  <div id="footer">
   <div id="footer-text">
    <span>Eclipse ESCET™ general toolkit documentation</span> | <span>Copyright (c) 2010, 2024 Contributors to the Eclipse Foundation</span> | <span>version v3.0</span><br> <a href="https://www.eclipse.org">Eclipse Home</a> | <a href="https://www.eclipse.org/legal/privacy.php">Privacy Policy</a> | <a href="https://www.eclipse.org/legal/termsofuse.php">Terms of Use</a> | <a href="https://www.eclipse.org/legal/copyright.php">Copyright Agent</a> | <a href="https://www.eclipse.org/legal">Eclipse Legal</a>
   </div>
  </div>
 </body>
</html>